public inbox for cluster-cvs@sourceware.org
help / color / mirror / Atom feed
From: "Fabio M. Di Nitto" <fabbione@fedoraproject.org>
To: cluster-cvs-relay@redhat.com
Subject: cluster: STABLE3 - config validation: improve shell wrapper
Date: Thu, 03 Sep 2009 13:49:00 -0000	[thread overview]
Message-ID: <20090903134901.387501201A8@lists.fedorahosted.org> (raw)

Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=11c12ef0b705e15b0b6af4728a3ffd8f4e1ea50a
Commit:        11c12ef0b705e15b0b6af4728a3ffd8f4e1ea50a
Parent:        8a7f5a96f6838df9b862f741559dc58d0675adc2
Author:        Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate:    Thu Sep 3 15:48:11 2009 +0200
Committer:     Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Thu Sep 3 15:48:11 2009 +0200

config validation: improve shell wrapper

add more error checking across the path and make ccs_config_validate
error unique vs xmlling.

Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
 config/tools/xml/ccs_config_validate.in |   24 ++++++++++++++++++++----
 1 files changed, 20 insertions(+), 4 deletions(-)

diff --git a/config/tools/xml/ccs_config_validate.in b/config/tools/xml/ccs_config_validate.in
index 6891cd4..5c09a3e 100644
--- a/config/tools/xml/ccs_config_validate.in
+++ b/config/tools/xml/ccs_config_validate.in
@@ -17,7 +17,23 @@ fi
 [ -z "$CONFIG_LOADER" ] && CONFIG_LOADER=xmlconfig
 export COROSYNC_DEFAULT_CONFIG_IFACE=$CONFIG_LOADER:cmanpreconfig
 
-ccs_config_dump | xmllint \
-		--relaxng @SHAREDIR@/cluster.rng \
-		- >/dev/null
-exit $?
+tempfile=$(mktemp)
+
+if [ -z "$tempfile" ]; then
+	echo "Unable to create temp file"
+	exit 255
+fi
+
+if ! ccs_config_dump > $tempfile; then
+	rm -f $tempfile
+	echo "Unable to get the configuration"
+	exit 255
+fi
+
+xmllint \
+	--relaxng @SHAREDIR@/cluster.rng \
+	$tempfile >/dev/null
+res=$?
+
+rm -f $tempfile
+exit $res


                 reply	other threads:[~2009-09-03 13:49 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20090903134901.387501201A8@lists.fedorahosted.org \
    --to=fabbione@fedoraproject.org \
    --cc=cluster-cvs-relay@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).